Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# QPEStyle Class Reference

The QPEStyle class implements the default Qtopia widget style. More...

`#include <qtopia/qpestyle.h>`

List of all member functions.

## Public Members

- QPEStyle ()
- virtual ~QPEStyle ()
- virtual void drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QColorGroup & cg, SFlags flags = Style_Default, const QStyleOption & data = QStyleOption::Default ) const
- virtual void drawControl ( ControlElement ce, QPainter * p, const QWidget * widget, const QRect & r, const QColorGroup & cg, SFlags how = Style_Default, const QStyleOption & data = QStyleOption::Default ) const
- virtual void drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QColorGroup & cg, SFlags how = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None, const QStyleOption & data = QStyleOption::Default ) const
- virtual int pixelMetric ( PixelMetric metric, const QWidget * widget = 0 ) const
- virtual QSize sizeFromContents ( ContentsType contents, const QWidget * widget, const QSize & contentsSize, const QStyleOption & data = QStyleOption::Default ) const

## Detailed Description

The QPEStyle class implements the default Qtopia widget style.

See also Qtopia Classes.

## Member Function Documentation

### QPEStyle::QPEStyle ()

### QPEStyle::~QPEStyle ()`[virtual]`

### void QPEStyle::drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QColorGroup & cg, SFlags how = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None, const QStyleOption & data = QStyleOption::Default ) const`[virtual]`

control p widget r cg how sub subActive data

### void QPEStyle::drawControl ( ControlElement ce, QPainter * p, const QWidget * widget, const QRect & r, const QColorGroup & cg, SFlags how = Style_Default, const QStyleOption & data = QStyleOption::Default ) const`[virtual]`

ce p widget r cg how data

### void QPEStyle::drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QColorGroup & cg, SFlags flags = Style_Default, const QStyleOption & data = QStyleOption::Default ) const`[virtual]`

pe p r cg flags data

### int QPEStyle::pixelMetric ( PixelMetric metric, const QWidget * widget = 0 ) const`[virtual]`

metric widget

### QSize QPEStyle::sizeFromContents ( ContentsType contents, const QWidget * widget, const QSize & contentsSize, const QStyleOption & data = QStyleOption::Default ) const`[virtual]`

contents widget contentsSize data

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.